net.dontdrinkandroot.visualization.placement.graph

## Class VertexInfo

- java.lang.Object
- - net.dontdrinkandroot.visualization.placement.graph.VertexInfo

    public class VertexInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`VertexInfo(VisualItem visualItem)`

### Method Summary

Methods
`Vector` `getDisp()`
`VisualItem` `getItem()`
`Vector` `getPos()`
`void` `setDisp(Vector disp)`
`void` `setPos(Vector pos)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VertexInfo

    public VertexInfo(VisualItem visualItem)

### Method Detail

#### getPos

    public Vector getPos()

#### setPos

    public void setPos(Vector pos)

#### getDisp

    public Vector getDisp()

#### setDisp

    public void setDisp(Vector disp)

#### getItem

    public VisualItem getItem()